#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	ncurses
Version		:	6.4
Release		:	14.4.0.0%{?dist}
Summary		:	Ncurses support utilities
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	http://ftp.gnu.org/gnu/ncurses/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	readline

Requires	:	glibc
#-----------------------------------------------------------------------------
%description
The curses library routines are a terminal-independent method of
updating character screens with reasonable optimization.  The ncurses
(new curses) library is a freely distributable replacement for the
discontinued 4.4 BSD classic curses library

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README TO-DO ANNOUNCE AUTHORS NEWS
%{_bindir}/*
%{_libdir}/lib*.so.6*
%{_libdir}/terminfo
%{_datadir}/terminfo/*
%{_datadir}/tabset/*
%{_mandir}/man1/[cirt]*.1.gz
%{_mandir}/man1/[cirt]*.1m.gz
%{_mandir}/man5/*.5.gz
%{_mandir}/man7/*.7.gz

#=============================================================================
%package		devel
Summary		:	Development files for %{name} 

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The header files and libraries for developing
applications that use the ncurses terminal
handling library.
 
Install the ncurses-devel package if you want
to develop applications which will use ncurses.
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}w/*.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_defaultdocdir}/%{name}-%{version}/hackguide.doc
%{_defaultdocdir}/%{name}-%{version}/ncurses-intro.doc
%{_defaultdocdir}/%{name}-%{version}/html/*.html
%{_defaultdocdir}/%{name}-%{version}/html/ada/*.htm
%{_defaultdocdir}/%{name}-%{version}/html/ada/files/*.htm
%{_defaultdocdir}/%{name}-%{version}/html/ada/funcs/*.htm
%{_defaultdocdir}/%{name}-%{version}/html/ada/table.html
%{_defaultdocdir}/%{name}-%{version}/html/man/*.html
%{_mandir}/man1/ncurses*-config.1.gz
%{_mandir}/man3/*.3x.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
%build


#Don't install a static library that is not handled by configure
sed -i '/LIBTOOL_INSTALL/d' c++/Makefile.in

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--with-pkg-config-libdir=%{_libdir}/pkgconfig	\
	--with-terminfo-dirs=%{_sysconfdir}/terminfo:%{_datadir}/terminfo	\
	--with-shared					\
	--with-cxx-shared				\
	--without-debug					\
	--without-normal				\
	--without-ada					\
	--enable-pc-files				\
	--enable-widec					\
	--disable-leak					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{?_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

%{__rm} -f			%{buildroot}%{_libdir}/libcursesw.so
echo "INPUT(-lncursesw)" >	%{buildroot}%{_libdir}/libcursesw.so
%{__ln_s} libncurses.so      	%{buildroot}%{_libdir}/libcurses.so

for lib in ncurses form panel menu ; 
  do
  %{__rm} -vf                   %{buildroot}%{_libdir}/lib${lib}.so
  echo "INPUT(-l${lib}w)" >     %{buildroot}%{_libdir}/lib${lib}.so
  %{__ln_s} -fv ${lib}w.pc      %{buildroot}%{_libdir}/pkgconfig/${lib}.pc
  done

# can't replace directory with symlink (rpm bug), symlink all headers
%{__mkdir_p} %{buildroot}%{_includedir}/ncurses{,w}
for l in %{buildroot}%{_includedir}/*.h
  do
  ln -s ../$(basename $l) $RPM_BUILD_ROOT%{_includedir}/ncurses
  ln -s ../$(basename $l) $RPM_BUILD_ROOT%{_includedir}/ncursesw
  done

#Ncurses documentation 
%{__mkdir_p} 			%{buildroot}%{_defaultdocdir}/%{name}-%{version}
%{__cp} -R	doc/*		%{buildroot}%{_defaultdocdir}/%{name}-%{version}

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-o						\
	-name \*.a					\
	-delete

#-----------------------------------------------------------------------------
%changelog
